#!/usr/local/bin/python
#
# driver script for the day-of-year utility
#
import sys,string
import pytutil
#
if len(sys.argv) == 4:
    #
    month = string.atoi(sys.argv[1])
    day   = string.atoi(sys.argv[2])
    year  = string.atoi(sys.argv[3])
    #
    print "   %02d/%02d/%04d is the %03d of the year." \
          % (month,day,year,pytutil.doy(year,month,day))
elif len(sys.argv) == 3:
    doy   = string.atoi(sys.argv[1])
    year  = string.atoi(sys.argv[2])
    output = pytutil.monthdate(year,doy)
    print "   Day %03d of %4d is %02d/%02d/%04d " \
          % (doy,year,output[0],output[1],year,)
else:
    print " "
    print "  Usage: month day year"
    print "      or"
    print "  Usage: doy year"
    print " "
