#lprmech
A utility useful for seismologists and other geoscientists.
##description:

lprmech is a simple command-line tool that displays  the Aki and Richards and GCMT moment tensors  corresponding to a specified strike, dip, and rake and prints a text-version of a P-wave focal mechanism.

#usage:
<code>
UNIX> lprmech
usage: lprmech strike dip rake
UNIX> lprmech 0 90 0
Strike: 0 Dip 90.0 Rake: 0.0
<code>
##output:
<code>
Aki & Richards Convention
 Moment Tensor:
   N     E     D
 0.000  1.000  0.000 
 1.000  0.000  0.000 
 0.000  0.000 -0.000 

                           
                           
           ----####        
        -------#######     
      ---------#########   
     ----------##########  
     ----------##########  
    -----------########### 
    ###########----------- 
     ##########----------  
     ##########----------  
      #########---------   
        #######-------     
           ####----        
                           

Harvard Convention
 Moment Tensor:
   R     T     F
-0.000  0.000 -0.000 
 0.000  0.000 -1.000 
-0.000 -1.000  0.000 
</code>
